#ifndef TMHistogrammingGlobalClusterXYZ_H
#define TMHistogrammingGlobalClusterXYZ_H

#include "TMHistogrammingShowDet.h"

class TH3F;
class TPolyLine3D;

class TMHistogrammingGlobalClusterXYZ : public TMHistogrammingShowDet {
 public:
  TMHistogrammingGlobalClusterXYZ(TPolyLine3D *tla[240]);
  virtual ~TMHistogrammingGlobalClusterXYZ();
  
  virtual void ProcessCluster(Float_t x, Float_t y, Float_t z, UInt_t module, UInt_t size, UInt_t widz, UInt_t widphi, UInt_t type);

  virtual void Draw(TPad *pad);
  virtual void Reset();

  virtual void DrawDetector(TPad *pad);
  virtual void HideDetector(TPad *pad);

 protected:
  TH3F        *fTheHisto;
  TPolyLine3D *fDetLines[240];

};

#endif
